- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TimeDomainStageConstraints Class Reference

The in-memory representation of the <constraints> child of the <stage> element. More...

`#include <OSInstance.h>`

Collaboration diagram for TimeDomainStageConstraints:

[legend]
List of all members.

## Public Member Functions
| TimeDomainStageConstraints ()
| The TimeDomainStageConstraints class constructor.
| ~TimeDomainStageConstraints ()
| The TimeDomainStageConstraints class destructor.
| TimeDomainStageConstraints ()
| The TimeDomainStageConstraints class constructor.
| ~TimeDomainStageConstraints ()
| The TimeDomainStageConstraints class destructor.
## Public Attributes
int | numberOfConstraints
| numberOfConstraints gives the number of constraints contained in this stage
int | startIdx
| startdIdx gives the number of the first constraint contained in this stage
TimeDomainStageCon ** | con
| con is a pointer to an array of TimeDomainStageCon object pointers
TimeDomainStageCon ** | con
| con is a pointer to an array of TimeDomainStageCon object pointers

## Detailed Description

The in-memory representation of the <constraints> child of the <stage> element.

Definition at line 560 of file OSInstance.h.

## Constructor & Destructor Documentation

TimeDomainStageConstraints::TimeDomainStageConstraints | ( |  | ) |

The TimeDomainStageConstraints class constructor.

Definition at line 765 of file OSInstance.cpp.

References con.

TimeDomainStageConstraints::~TimeDomainStageConstraints | ( |  | ) |

The TimeDomainStageConstraints class destructor.

Definition at line 775 of file OSInstance.cpp.

References con, and numberOfConstraints.

TimeDomainStageConstraints::TimeDomainStageConstraints | ( |  | ) |

The TimeDomainStageConstraints class constructor.

TimeDomainStageConstraints::~TimeDomainStageConstraints | ( |  | ) |

The TimeDomainStageConstraints class destructor.

## Member Data Documentation

int TimeDomainStageConstraints::numberOfConstraints

numberOfConstraints gives the number of constraints contained in this stage

Definition at line 570 of file OSInstance.h.

Referenced by OSInstance::getTimeDomainStageNumberOfConstraints(), OSInstance::setTimeDomainStageConstraintsOrdered(), OSInstance::setTimeDomainStageConstraintsUnordered(), and ~TimeDomainStageConstraints().

int TimeDomainStageConstraints::startIdx

startdIdx gives the number of the first constraint contained in this stage

Definition at line 573 of file OSInstance.h.

Referenced by OSInstance::getTimeDomainStageConList(), and OSInstance::setTimeDomainStageConstraintsOrdered().

TimeDomainStageCon** TimeDomainStageConstraints::con

con is a pointer to an array of TimeDomainStageCon object pointers

Definition at line 576 of file OSInstance.h.

Referenced by OSInstance::getTimeDomainStageConList(), OSInstance::setTimeDomainStageConstraintsUnordered(), TimeDomainStageConstraints(), and ~TimeDomainStageConstraints().

TimeDomainStageCon** TimeDomainStageConstraints::con

con is a pointer to an array of TimeDomainStageCon object pointers

Definition at line 518 of file OSInstance.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.cpp